//
//  ProgressCheckIn.h
//  MoveCoachMobile
//
//  Created by Barrs, Stephen (Bay Pines OIFO) on 8/28/14.
//

#import <Foundation/Foundation.h>

@interface ProgressCheckIn : NSObject <NSCoding>

@property (nonatomic,strong)NSMutableArray *prActChange; /**< This NSArray contains NSStrings representing changes the user has made to their activity as a result of participating in MOVE.  This data is collected in Guide 7, chapter 4 and guide 11, chapter 1 */

@property (nonatomic,strong)NSMutableArray *prDietChange; /**<   This NSArray contains NSStrings representing changes the user has made to their diet as a result of participating in MOVE.  This data is collected in Guide 7, chapter 4 and guide 11, chapter 1 */

@property (nonatomic,strong)NSMutableArray *prActImprove; /**<   This NSArray contains NSStrings representing ways the user will improve their activity.  This data is collected in Guide 7, chapter 4 and guide 11, chapter 1  */

@property (nonatomic,strong)NSMutableArray *prFoodImprove; /**<   This NSArray contains NSStrings representing ways the user will improve their diet.  This data is collected in Guide 7, chapter 4 and guide 11, chapter 1 */

@property (nonatomic)BOOL prFoodGoal; /**< This BOOL represents the user response to the question: "Have you been reaching your weekly Food goals?"   This data is collected in Guide 7, chapter 4 and guide 11, chapter 1*/

@property (nonatomic)BOOL prActivityGoal; /**< This BOOL represents the user response to the question: "Have you been reaching your weekly activity goals?"   This data is collected in Guide 7, chapter 4 and guide 11, chapter 1*/

@end
