//
//  SlipEvent.h
//  MoveCoachMobile
//
//  Created by Stephen Barrs on 3/8/13.
//

#import <Foundation/Foundation.h>

@interface SlipEvent : NSObject <NSCoding>

@property (nonatomic, strong) NSString *event;
@property (nonatomic, strong) NSMutableArray *options;

@property (nonatomic) BOOL isBreakingEvent;
@property (nonatomic) int indexOfBreakingOption;

- (id)initWithEvent:(NSString *)event;

- (void) addOption:(NSString *)option;
- (void) addOption:(NSString *)option atIndex:(int)index;
- (void) removeOption:(int)index;

- (NSString *) description;
@end
