define(function(require) {
    var log = require("loglevel");

    var TriggersAndFixesData = Backbone.Model.extend({
        localStorage: new Backbone.LocalStorage("triggersAndFixesData"),

        deferred: "",
        
		defaults:  {
			"unhealthyFoods": [],
			"triggers":[],
			"fixes":[],
			"currentTrigger":undefined
			
		},

	    initialize: function() {
	    	
            // Fetch user data from local storage
            this.deferred = this.fetch({                          
                reset: true                           
            });
            
            this.on("reset", function(e) {
                this.deferred.resolve();
            });
        },

        parse: function(response) {
            //log.debug(JSON.stringify(response));
            return response[0];
        },

        clear: function() {
		}, 
		
		reset: function () {
			this.save();	
		},
		
		addItemToList: function(listName, item) {
			
			var list = this.get (listName);
			
			list.push(item);
			this.save();
		},
		
		removeItemFromList: function (listName, index) {
					
			console.log ("list name in delete in model: " + listName);
						
			var returnVal = true;
			
			var list = this.get (listName);
			
			console.log ("index: " + index + " list length: " + list.length);
			
			// if (index >= list.length) {
				// returnVal = false;
			// } else {

				list.splice(index, 1);			
				this.save();
			// }
			
			console.log ("returning..." + returnVal);
			
			return returnVal;
		}
		
	});
		
  	var triggersAndFixesData = new TriggersAndFixesData();
    return triggersAndFixesData;
});