define(function(require) {
    var log = require("loglevel"),
	    Handlebars = require("handlebars"),
        UserData = require("models/UserData"),
        template = require("text!templates/AgeEntry.html");

        var compiled_template = Handlebars.compile(template);

        var ageClear = true;

        var textString = "";

        if (UserData.get("initialAge")){
        	textString = UserData.get("initialAge");
        }
        	

        //

    return Backbone.View.extend({
        id: "ageEntryView",

        templateName: "AgeEntry.html",

           events: {

              "click #doneButton": "ageSelect",
              "click #button1": "button1Select",
              "click #button2": "button2Select",
              "click #button3": "button3Select",
              "click #button4": "button4Select",
              "click #button5": "button5Select",
              "click #button6": "button6Select",
              "click #button7": "button7Select",
              "click #button8": "button8Select",
              "click #button9": "button9Select",
              "click #buttonDot": "buttonDotSelect",
              "click #button0": "button0Select",
              "click #buttonDelete": "buttonDeleteSelect"
           },

		initialize: function() {
			console.log ("initializing userInfo view: " + this);



		},

        render: function() {
            this.$el.html(template);

            this.$('#ageDisplay').replaceWith("<span id='ageDisplay'>" + textString + "</span>");
            ageClear = true;

            return this;
        },
        ageSelect: function(){
			// var percentValue = this.$('#percentInput').val();;

			var ageValue = textString;

			this.$('#ageDisplay').html("<span id='ageDisplay'></span>");

             UserData.set("initialAge", ageValue);

             UserData.save();

            if(ageValue > 100){
            	alert('Are you sure your age is ' + ageValue + " years, if this is incorrect please reenter your age");
            }
		},
		button1Select: function(){

			if(ageClear === true){
				ageClear = false;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";
			}

			var text = this.$('#ageDisplay').append('1');
			// UserData.set("initialPercentToLose", text);
			// UserData.save();
			textString = textString + "1";
			console.log("text value: " + textString);
		},
		button2Select: function(){
			if(ageClear === true){
				ageClear = false;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";
			}

			var text = this.$('#ageDisplay').append('2');
			textString = textString + "2";
			console.log("text value: " + textString);
		},
		button3Select: function(){
			if(ageClear === true){
				ageClear = false;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";
			}

			var text = this.$('#ageDisplay').append('3');
			textString = textString + "3";
			console.log("text value: " + textString);
		},
		button4Select: function(){
			if(ageClear === true){
				ageClear = false;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";
			}

			var text = this.$('#ageDisplay').append('4');
			textString = textString + "4";
			console.log("text value: " + textString);
		},
		button5Select: function(){
			if(ageClear === true){
				ageClear = false;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";
			}

			var text = this.$('#ageDisplay').append('5');
			textString = textString + "5";
			console.log("text value: " + textString);
		},
		button6Select: function(){
			if(ageClear === true){
				ageClear = false;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";
			}

			var text = this.$('#ageDisplay').append('6');
			textString = textString + "6";
			console.log("text value: " + textString);
		},
		button7Select: function(){
			if(ageClear === true){
				ageClear = false;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";
			}

			var text = this.$('#ageDisplay').append('7');
			textString = textString + "7";
			console.log("text value: " + textString);
		},
		button8Select: function(){
			if(ageClear === true){
				ageClear = false;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";
			}

			var text = this.$('#ageDisplay').append('8');
			textString = textString + "8";
			console.log("text value: " + textString);
		},
		button9Select: function(){
			if(ageClear === true){
				ageClear = false;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";
			}

			var text = this.$('#ageDisplay').append('9');
			textString = textString + "9";
			console.log("text value: " + textString);
		},
        buttonDotSelect: function(){
				ageClear = true;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";

			console.log("text value: " + textString);
		},
		button0Select: function(){
			if(ageClear === true || textString.length === 0){
				ageClear = true;
				this.$('#ageDisplay').replaceWith("<span id='ageDisplay'></span>");
				textString = "";
			}else{
				var text = this.$('#ageDisplay').append('0');
				textString = textString + "0";
			}

			console.log("text value: " + textString);
		},
		buttonDeleteSelect: function(){
			// var text = UserData.get("initialPercentToLose");
			textString = textString.substring(0, textString.length-1);

			ageClear = false;

			console.log("text value: " + textString);

			this.$('#ageDisplay').replaceWith("<span id='ageDisplay'>" + textString + "</span>");
			// alert('initial text: ' + text.val());
			// alert('spliced text: ' + text.splice(0, -1));
			// text = text.;
			// this.$('#ageDisplay').html("<span id='ageDisplay'>" + text + "</span>");
		}
    });
});
