define(function(require) {
    var log = require("loglevel"),
	    Handlebars = require("handlebars"),
        UserData = require("models/UserData"),
        template = require("text!templates/eval.html");

        var compiled_template = Handlebars.compile(template);

        var textString = "";

        if (UserData.get("initialHeight")){
        	textString = UserData.get("initialHeight");
        }

        var ftString = "5";

        if (UserData.get("heightFTComponent")){
        	ftString = UserData.get("heightFTComponent");
        }

        var inchString = "6";

        if (UserData.get("heightINComponent")){
        	inchString = UserData.get("heightINComponent");
        }

        //

    return Backbone.View.extend({
        id: "evalView",

        templateName: "eval.html",

           events: {

              "click #doneButton": "heightSelect",
              "change #ftSelect": "changeFeet",
              "change #inSelect": "changeInches"

           },

		initialize: function() {
			console.log ("initializing userInfo view: " + this);



		},

        render: function() {
            this.$el.html(template);



             	function onConfirm(buttonIndex) {
  					  if(buttonIndex === 2){
  					window.open('https://www.move.va.gov/apps/move11/mcm/mcm_evaluation.asp', '_system');
  					Backbone.history.history.back();
					}else{
						Backbone.history.history.back();
					}
					}


				navigator.notification.confirm(
    				'You are about to leave the MOVE! Coach App for a VA website.', // message
     				onConfirm,            // callback to invoke with index of button pressed
    				'Evaluate MOVE! Coach',           // title
    				['Cancel','OK']     // buttonLabels
					);








            return this;
        }
    });
});
