//
//  PARecallData.m
//  MoveCoachMobile
//
//  Created by Alex Morgan on 2/28/13.
//

#import "PARecallData.h"

@implementation PARecallData
@synthesize paDuration,physActivity;

- (id)initWithActivity:(NSString *)activity andDuration:(NSString *)duration
{
    self = [super init];
    if (self) {
        [self setPaDuration:duration];
        [self setPhysActivity:activity];
    }
    return self;
}

/*- (id)init
{
    return [self initWithActivity:@"" andDuration:@""];
}*/

- (NSString *)description
{
    return [NSString stringWithFormat:@"\nActivity: %@    Duration: %@",[self physActivity], [self paDuration]];
}

- (void) encodeWithCoder:(NSCoder *)aCoder {
    
    [aCoder encodeObject:paDuration forKey:@"paDuration"];
    [aCoder encodeObject:physActivity forKey:@"physActivity"];
}

- (id) initWithCoder:(NSCoder *)aDecoder {
    
    self = [super init];
    
    if (self) {
        [self setPhysActivity:[aDecoder decodeObjectForKey:@"physActivity"]];
        [self setPaDuration:[aDecoder decodeObjectForKey:@"paDuration"]];
    }
    return self;
}

@end
