//
//  SurveyData.h
//  MoveCoachMobile
//
//  Created by Alex Morgan on 11/28/12.
//

#import <Foundation/Foundation.h>

@interface SurveyData : NSObject <NSCoding>
{
}

// Initial Survey (in Guide 1)

@property (nonatomic,strong)NSString *familyWeight;
@property (nonatomic,strong)NSString *supportExpected;
@property (nonatomic)float weightControlImportance;
@property (nonatomic)float activityDays;

@property (nonatomic)float changeConfidence;

@property (nonatomic,strong)NSString *mealsAndSnacks;
@property (nonatomic,strong)NSString *consumeSugarDrinks;
@property (nonatomic,strong)NSString *consumeAlcohol;
@property (nonatomic,strong)NSString *activityTime;

//This Array property holds a list of NSStrings representing the issues a user has selected 'YES' to (by adding a checkmark in the UITableView).
@property (nonatomic, strong) NSMutableArray *surveyIssuesArray;


- (void)toggleIssue:(NSString *)str;
- (void) removeAllIssues;

- (void)selectedAnswer:(NSString *)str question:(int)section; 
- (void)guide1GetReadySelectedAnswer:(NSString *)str question:(int)question;

- (void)sliderAnswer:(float)num question:(NSString *)question; 



@end
