//
//  TriggerData.h
//  MoveCoachMobile
//
//  Created by Alex Morgan on 3/12/13.
//

#import <Foundation/Foundation.h>

@interface TriggerData : NSObject<NSCoding>

@property (nonatomic, strong) NSString *trigger;
@property (nonatomic, strong) NSMutableArray *fixes;

@property (nonatomic) BOOL isBreakingTrigger;
@property (nonatomic) int indexOfBreakingFix;

@property (nonatomic,strong)NSString *fix;

- (id)initWithTrigger:(NSString *)triggerStr;

- (void) addFix:(NSString *)f forTrigger:(NSString *)trig;
- (void) addFix:(NSString *)f atIndex:(int)index;
- (void) removeFix:(int)index;

- (NSString *) description;

- (id)initWithTrigger:(NSString *)triggerStr andFix:(NSString *)f;

@end
