define(function(require) {
    var log = require("loglevel"),
	    Handlebars = require("handlebars"),
        UserData = require("models/UserData"),
        template = require("text!templates/baselineWeightEntry.html");

    // Compile the template once.
    var compiled_template = Handlebars.compile(template);

    var wtClear = true;

	var textString = "";

        if (UserData.get("initialWeight")){
        	textString = UserData.get("initialWeight");
        }


    var TargetWeightEntryView = Backbone.View.extend({
        id: "baselineWeightEntryView",

        templateName: "baselineWeightEntry.html",

           events: {
              // // "click #transcriptButton": "showTranscript"
               // "change #weightInput": "changeBaselineWeight"

               "click #doneButton": "changeBaselineWeight",
              "click #button1": "button1Select",
              "click #button2": "button2Select",
              "click #button3": "button3Select",
              "click #button4": "button4Select",
              "click #button5": "button5Select",
              "click #button6": "button6Select",
              "click #button7": "button7Select",
              "click #button8": "button8Select",
              "click #button9": "button9Select",
              "click #buttonDot": "buttonDotSelect",
              "click #button0": "button0Select",
              "click #buttonDelete": "buttonDeleteSelect"


           },

initialize: function() {
			console.log ("initializing userInfo view: " + this);

		},

		render: function() {
			log.debug ("calling render in userInfo view with template name: " + this.templateName);


            this.$el.html(compiled_template(this.model.toJSON()));

            wtClear = true;

            this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'>" + textString + "</span>");

          /*  if(textString.indexOf('.') > -1){
				this.$('#buttonDot').replaceWith('<input id="buttonDot" type="button" value="." disabled />');
			}else{
				this.$('#buttonDot').replaceWith('<input id="buttonDot" type="button" value="." />');
			}*/

            return this;
		},

		changeBaselineWeight: function(){

            // var baselineValue = this.$('#weightInput').val();
            var baselineValue = textString;


             UserData.set("initialWeight", baselineValue);

			UserData.save();
		},
		button1Select: function(){
			if(wtClear === true){
				wtClear = false;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}

			var text = this.$('#lbsDisplay').append('1');
			// UserData.set("initialPercentToLose", text);
			// UserData.save();
			textString = textString + "1";
			console.log("text value: " + textString);
		},
		button2Select: function(){
			if(wtClear === true){
				wtClear = false;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}

			var text = this.$('#lbsDisplay').append('2');
			textString = textString + "2";
			console.log("text value: " + textString);
		},
		button3Select: function(){
			if(wtClear === true){
				wtClear = false;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}

			var text = this.$('#lbsDisplay').append('3');
			textString = textString + "3";
			console.log("text value: " + textString);
		},
		button4Select: function(){
			if(wtClear === true){
				wtClear = false;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}

			var text = this.$('#lbsDisplay').append('4');
			textString = textString + "4";
			console.log("text value: " + textString);
		},
		button5Select: function(){
			if(wtClear === true){
				wtClear = false;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}

			var text = this.$('#lbsDisplay').append('5');
			textString = textString + "5";
			console.log("text value: " + textString);
		},
		button6Select: function(){
			if(wtClear === true){
				wtClear = false;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}

			var text = this.$('#lbsDisplay').append('6');
			textString = textString + "6";
			console.log("text value: " + textString);
		},
		button7Select: function(){
			if(wtClear === true){
				wtClear = false;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}

			var text = this.$('#lbsDisplay').append('7');
			textString = textString + "7";
			console.log("text value: " + textString);
		},
		button8Select: function(){
			if(wtClear === true){
				wtClear = false;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}

			var text = this.$('#lbsDisplay').append('8');
			textString = textString + "8";
			console.log("text value: " + textString);
		},
		button9Select: function(){
			if(wtClear === true){
				wtClear = false;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}

			var text = this.$('#lbsDisplay').append('9');
			textString = textString + "9";
			console.log("text value: " + textString);
		},
        buttonDotSelect: function(){
        	if(wtClear === true || textString.length === 0){
				wtClear = true;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}else{
			var text = this.$('#lbsDisplay').append('.');
			textString = textString + ".";
		    // this.$('#buttonDot').replaceWith('<input id="buttonDot" type="button" value="." disabled />');
		    // location.reload();
			}
			console.log("text value: " + textString);
		},
		button0Select: function(){
			if(wtClear === true || textString.length === 0){
				wtClear = true;
				this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'></span>");
				textString = "";
			}else{
			var text = this.$('#lbsDisplay').append('0');
			textString = textString + "0";
			}
			console.log("text value: " + textString);
		},
		buttonDeleteSelect: function(){
			// var text = UserData.get("initialPercentToLose");
			wtClear = false;
			textString = textString.substring(0, textString.length-1);

			console.log("text value: " + textString);

			this.$('#lbsDisplay').replaceWith("<span id='lbsDisplay'>" + textString + "</span>");

			/*if(textString.indexOf('.') > -1){
			 	this.$('#buttonDot').replaceWith('<input id="buttonDot" type="button" value="." disabled />');
			 	location.reload();
			}else{
				this.$('#buttonDot').replaceWith('<input id="buttonDot" type="button" value="." />');
				location.reload();
			}*/

			// alert('initial text: ' + text.val());
			// alert('spliced text: ' + text.splice(0, -1));
			// text = text.;
			// this.$('#lbsDisplay').html("<span id='lbsDisplay'>" + text + "</span>");
		}
    });

    return TargetWeightEntryView;
});
