define(function(require) {
    var log = require("loglevel"),
        UserData = require("models/UserData"),
	    Handlebars = require("handlebars"),
        template = require("text!templates/goals-progress.html");

    // Compile the template once.
    var compiled_template = Handlebars.compile(template);

    var GoalsProgressView = Backbone.View.extend({
        // Set the id attribute on the div.
        id: "goalsProgressView",

        render: function() {
            this.$el.html(template);
            return this;
        },

    });
    return GoalsProgressView;
});
